import * as TencentCloudCommon from "tencentcloud-sdk-nodejs-common";
import { CorrectMultiImageResponse, DescribeTaskRequest, ECCResponse, EHOCRResponse, ECCRequest, DescribeTaskResponse, EHOCRRequest, CorrectMultiImageRequest } from "./ecc_models";
/**
 * ecc client
 * @class
 */
export declare class Client extends TencentCloudCommon.AbstractClient {
    constructor(clientConfig: TencentCloudCommon.ClientConfig);
    /**
       * https://ecc.tencentcloudapi.com/?Action=EHOCR
  图像识别批改接口
       */
    EHOCR(req: EHOCRRequest, cb?: (error: string, rep: EHOCRResponse) => void): Promise<EHOCRResponse>;
    /**
       * 接口请求域名： ecc.tencentcloudapi.com
  纯文本英语作文批改
       */
    ECC(req: ECCRequest, cb?: (error: string, rep: ECCResponse) => void): Promise<ECCResponse>;
    /**
     * 异步任务结果查询接口
     */
    DescribeTask(req: DescribeTaskRequest, cb?: (error: string, rep: DescribeTaskResponse) => void): Promise<DescribeTaskResponse>;
    /**
       * https://ecc.tencentcloudapi.com/?Action=CorrectMultiImage
  多图像识别批改接口
       */
    CorrectMultiImage(req: CorrectMultiImageRequest, cb?: (error: string, rep: CorrectMultiImageResponse) => void): Promise<CorrectMultiImageResponse>;
}
